Subject: [apps-discuss] Fwd: New Version Notification for draft-ietf-mile-enum-reference-format-09.txt

From: "Adam W. Montville" <[email-masked]>
Date: Mon, 27 Oct 2014 12:27:34 -0500

All:

I’ve made two minor updates to the enumeration reference draft (link in the forwarded message below).  Both changes are found in the IANA Considerations section.  The first change makes it explicit that all fields are mandatory, including abbreviation.  The second change further clarifies that the “version” field is the version of the referenced specification.

There was a third issue raised by an early appsdir review.  The appsdir review included: “the lack of any specified mapping from the (to my mind) unnecessary level of indirection from integers via registry entries to URIs which would actually give _access_ to such entries is irritating at least.  Can’t we at least _ask_ that IANA provide such a mapping along the lines of http://www.iana.org/assignments/enumeration-reference-type/abbrev_version <http://www.iana.org/assignments/enumeration-reference-type/abbrev_version> ?”

An example was provided in response, and we heard no further reply.  David and I believe that the URI described above would look something like this for version 2.5 of the “CXI” specification: http://www.iana.org/assignments/enumeration-reference-type/CXI_2.5 <http://www.iana.org/assignments/enumeration-reference-type/CXI_2.5>.

Regards,

Adam

> Begin forwarded message:
> 
> From: [email-masked]
> To: "David L. Black" <[email-masked]>, "Adam W. Montville" <[email-masked]>, Adam W. Montville <[email-masked]>, David Black <[email-masked]>
> Subject: New Version Notification for draft-ietf-mile-enum-reference-format-09.txt
> Date: October 27, 2014 at 12:20:40 PM CDT
> 
> 
> A new version of I-D, draft-ietf-mile-enum-reference-format-09.txt
> has been successfully submitted by Adam W. Montville and posted to the
> IETF repository.
> 
> Name:		draft-ietf-mile-enum-reference-format
> Revision:	09
> Title:		IODEF Enumeration Reference Format
> Document date:	2014-10-27
> Group:		mile
> Pages:		10
> URL:            http://www.ietf.org/internet-drafts/draft-ietf-mile-enum-reference-format-09.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-mile-enum-reference-format/
> Htmlized:       http://tools.ietf.org/html/draft-ietf-mile-enum-reference-format-09
> Diff:           http://www.ietf.org/rfcdiff?url2=draft-ietf-mile-enum-reference-format-09
> 
> Abstract:
>   The Incident Object Description Exchange Format (IODEF) is an XML
>   data representation framework for sharing information about computer
>   security incidents.  In IODEF, the Reference class provides
>   references to externally specified information such as a
>   vulnerability, IDS alert, malware sample, advisory, or attack
>   technique.  In practice, these references are based on external
>   enumeration specifications that define both the enumeration format
>   and the specific enumeration values, but the IODEF Reference class
>   (as specified in RFC 5070) does not indicate how to include both of
>   these important pieces of information.
> 
>   This memo provides an extension to RFC 5070 to include both the
>   external specification and specific enumeration value in the IODEF
>   Reference class.  This memo also establishes an IANA registry to
>   manage external enumeration specifications for use by IODEF.
> 
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>